For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI Reference
GuidesAPI Reference
  • Panic API Reference
      • GETList active customer callouts
      • POSTRaise a customer callout
      • POSTRaise a callout (legacy)
      • GETList active callouts
      • GETGet a callout
      • POSTStream location and return callout
      • POSTStream a location update
      • GETRead callout events
      • POSTSend a callout event
      • GETList cancellation reasons
      • POSTCreate a cancellation reason
      • GETGenerate a resolution report
      • GETGet a callout map
      • POSTCancel a callout
      • GETList rating items
      • POSTSubmit a rating item
      • POSTSubmit a callout rating
LogoLogo
Panic API ReferenceCallouts

Stream a location update

POST
/panic-api/v2/callouts/:calloutId/location
POST
/panic-api/v2/callouts/:calloutId/location
$curl -X POST https://staging-panic.aura.services/panic-api/v2/callouts/992011/location \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "latitude": -33.9249,
> "longitude": 18.4241
>}'
1{
2 "message": "Request completed successfully."
3}
Updates the location associated with an active callout without requiring the full callout response body.
Was this page helpful?
Previous

Read callout events

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

calloutIdintegerRequired
Callout identifier.

Request

This endpoint expects an object.
latitudedoubleRequired
longitudedoubleRequired
accuracydoubleOptional

Response

Location update accepted.
messagestring

Errors

400
Bad Request Error
401
Unauthorized Error